Post the necessary fields for the API to add a new inbound message. <br />

http
POST https://services.leadconnectorhq.com/conversations/messages/inbound

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
typestringYesSMSMessage Type Possible values: 'SMS', 'RCS', 'Email', 'WhatsApp', 'GMB', 'IG', 'FB', 'Custom', 'WebChat', 'Live_Chat', 'Call', 'IVR_Call', 'Campaign_Call', 'Campaign_VoiceMail', 'TIKTOK', 'ALL_IN_ONE_CHAT', 'FORM_SUBMISSION'
attachmentsstring[]NoArray of attachments
messagestringNoMessage Body
conversationIdstringYesve9EPM428h8vShlRW1KTConversation Id
contactIdstringYesve9EPM428h8vShlRW1KTContact Id
conversationProviderIdstringYes61d6d1f9cdac7612faf80753Conversation Provider Id
htmlstringNoHTML Body of Email
subjectstringNoSubject of the Email
emailFromstringNosender@company.comEmail address to send from. This field is associated with the contact record and cannot be dynamically changed.
emailTostringNoRecipient email address. This field is associated with the contact record and cannot be dynamically changed.
emailCcstring[]NoList of email address to CC
emailBccstring[]NoList of email address to BCC
emailMessageIdstringNoSend the email message id for which this email should be threaded. This is for replying to a specific email
altIdstringNo61d6d1f9cdac7612faf80753external mail provider's message id
directionobjectNoMessage direction, if required can be set manually, default is outbound
datestringNoDate of the inbound message
callobjectNoPhone call dialer and receiver information

Responses

200 - Created the message
  • success (boolean, required)

  • conversationId (string, required): Conversation ID. Example: ABC12h2F6uBrIkfXYazb

  • messageId (string, required): This is the main Message ID Example: t22c6DQcTDf3MjRhwf77

  • message (string, required)

  • contactId (string)

  • dateAdded (string)

  • emailMessageId (string)

json
{
  "success": true,
  "conversationId": "ABC12h2F6uBrIkfXYazb",
  "messageId": "t22c6DQcTDf3MjRhwf77",
  "message": "string",
  "contactId": "string",
  "dateAdded": "2024-01-15T10:30:00Z",
  "emailMessageId": "string"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/conversations/messages/inbound' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "SMS",
  "attachments": [
    "string"
  ],
  "message": "string",
  "conversationId": "ve9EPM428h8vShlRW1KT",
  "contactId": "ve9EPM428h8vShlRW1KT",
  "conversationProviderId": "61d6d1f9cdac7612faf80753",
  "html": "string",
  "subject": "string",
  "emailFrom": "sender@company.com",
  "emailTo": "string",
  "emailCc": [
    "john1@doe.com",
    "john2@doe.com"
  ],
  "emailBcc": [
    "john1@doe.com",
    "john2@doe.com"
  ],
  "emailMessageId": "string",
  "altId": "61d6d1f9cdac7612faf80753",
  "direction": [
    "outbound",
    "inbound"
  ],
  "date": "2024-01-15T10:30:00Z"
}'

Last updated October 26, 2026

Was this page helpful?